glab(1)

NAME

glab-mr-rebase - Rebase the source branch of a merge request against its target branch.

SYNOPSIS

glab mr rebase [ | ] [flags]

DESCRIPTION

If you don't have permission to push to the merge request's source branch, you'll get a 403 Forbidden response.

OPTIONS

--skip-ci[=false]
    Rebase merge request while skipping CI/CD pipeline.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    $ glab mr rebase 123

    # Get from current branch
    $ glab mr rebase

    $ glab mr rebase branch
    $ glab mr rebase branch --skip-ci

SEE ALSO

glab-mr(1)